clang 10.0.0git

Public Member Functions | Public Attributes | List of all members
clang::serialization::reader::ASTDeclContextNameLookupTrait::data_type_builder Struct Reference

`#include "/work/www-prereleases/10.0.0/rc1/docsbuild/clang/lib/Serialization/ASTReaderInternals.h"`

Collaboration diagram for clang::serialization::reader::ASTDeclContextNameLookupTrait::data_type_builder:
[legend]

## Public Member Functions
| data_type_builder (data_type &D)
void | insert (DeclID ID)

## Public Attributes
data_type & | Data
llvm::DenseSet< DeclID > | Found

## Detailed Description

Definition at line 55 of file ASTReaderInternals.h.

## Constructor & Destructor Documentation

## ◆ data_type_builder()

clang::serialization::reader::ASTDeclContextNameLookupTrait::data_type_builder::data_type_builder | ( | data_type & | D | ) |
| inline

Definition at line 59 of file ASTReaderInternals.h.

## Member Function Documentation

## ◆ insert()

void clang::serialization::reader::ASTDeclContextNameLookupTrait::data_type_builder::insert | ( | DeclID | ID | ) |
| inline

Definition at line 61 of file ASTReaderInternals.h.

Referenced by clang::serialization::reader::ASTDeclContextNameLookupTrait::MergeDataInto(), and clang::serialization::reader::ASTDeclContextNameLookupTrait::ReadDataInto().

## Member Data Documentation

## ◆ Data

data_type& clang::serialization::reader::ASTDeclContextNameLookupTrait::data_type_builder::Data

Definition at line 56 of file ASTReaderInternals.h.

Referenced by clang::serialization::reader::ASTDeclContextNameLookupTrait::MergeDataInto().

## ◆ Found

llvm::DenseSet<DeclID> clang::serialization::reader::ASTDeclContextNameLookupTrait::data_type_builder::Found

Definition at line 57 of file ASTReaderInternals.h.

The documentation for this struct was generated from the following file:

- lib/Serialization/ASTReaderInternals.h